#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# interactive
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Quota
%define		pnam	Quota
Summary:	Quota - Perl interface to file system quotas
Summary(pl.UTF-8):	Quota - perlowy interfejs do quot systemów plików
Name:		perl-Quota
Version:	1.6.7
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Quota/%{pnam}-%{version}.tar.gz
# Source0-md5:	3bc663fa72ec3522f1360d01ddf3b5a5
Patch0:		%{name}-paths.patch
Patch1:		%{name}-pic.patch
URL:		http://search.cpan.org/dist/Quota/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Quota module provides access to file system quotas.  The quotactl
system call or ioctl is used to query or set quotas on the local host,
or queries are submitted via RPC to a remote host.  Mount tables can
be parsed with getmntent and paths can be translated to device files
(or whatever the actual quotactl implementations needs as argument)
of the according file system.

%description -l pl.UTF-8
Moduł Quota daje dostęp do quot systemów plików. Używa wywołań
systemowych quotactl lub ioctl do sprawdzania lub ustawiania quot
lokalnych lub przesyła zapytania po RPC do zdalnej maszyny. Tablice
montowanych partycji mogą być analizowane poprzez getmntent, a ścieżki
tłumaczone na pliki urządzeń (lub cokolwiek, czego dana implementacja
quotactl wymaga jako parametru) odpowiadających im systemów plików.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p0
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

# test is interactive
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -af contrib/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorarch}/Quota.pm
%dir %{perl_vendorarch}/auto/Quota
%{perl_vendorarch}/auto/Quota/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Quota/Quota.so
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/[Rqr]*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Quota.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8a942fa
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 51c8827
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 68e0e81
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> fce89ac
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f625db5
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 58e87b0
- up to 1.6.7

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> be7a2ce
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 373bb6f
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c53530e
- release 2

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> 5cef981
- updated to 1.6.3

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 8cff399
- release 3

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 0a67d7f
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0306fb8
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> eb194b7
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 620b7b5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9a900c9
- converted to UTF-8

* Tue Oct 24 2006 ankry <ankry@pld-linux.org> 47e46ca
- ver. 1.5.1

* Wed Dec 01 2004 radek <radek@pld-linux.org> 74f4aaa
- autoupdated to 1.5.0

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> b3bd119
- formatting

* Sat Aug 21 2004 Adam Gołębiowski <adamg@pld-linux.org> 5147c82
- updated to 1.4.11

